RSS   Vulnerabilities for 'Authelia'   RSS

2021-04-21
 
CVE-2021-29456

CWE-601
 

 
Authelia is an open-source authentication and authorization server providing 2-factor authentication and single sign-on (SSO) for your applications via a web portal. In versions 4.27.4 and earlier, utilizing a HTTP query parameter an attacker is able to redirect users from the web application to any domain, including potentially malicious sites. This security issue does not directly impact the security of the web application itself. As a workaround, one can use a reverse proxy to strip the query parameter from the affected endpoint. There is a patch for version 4.28.0.

 


Copyright 2022, cxsecurity.com

 

Back to Top